## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
# * many tests don't work when virtualized / containerized
%bcond_with check
%global debug_package %{nil}

%global crate sysinfo

Name:           rust-sysinfo
Version:        0.29.11
Release:        %autorelease
Summary:        Library to get system information such as processes, CPUs, disks, components and networks

License:        MIT
URL:            https://crates.io/crates/sysinfo
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          sysinfo-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Library to get system information such as processes, CPUs, disks,
components and networks.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/ADDING_NEW_PLATFORMS.md
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+c-interface-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+c-interface-devel %{_description}

This package contains library source intended for building other packages which
use the "c-interface" feature of the "%{crate}" crate.

%files       -n %{name}+c-interface-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+debug-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+debug-devel %{_description}

This package contains library source intended for building other packages which
use the "debug" feature of the "%{crate}" crate.

%files       -n %{name}+debug-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+multithread-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+multithread-devel %{_description}

This package contains library source intended for building other packages which
use the "multithread" feature of the "%{crate}" crate.

%files       -n %{name}+multithread-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rayon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rayon-devel %{_description}

This package contains library source intended for building other packages which
use the "rayon" feature of the "%{crate}" crate.

%files       -n %{name}+rayon-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.29.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Nov 30 2023 Fabio Valentini <decathorpe@gmail.com> - 0.29.11-1
- Update to version 0.29.11; Fixes RHBZ#2251612

* Sun Oct 29 2023 Michel Lind <salimma@fedoraproject.org> - 0.29.10-2
- Disable tests for now, flaky in containerized environments

* Fri Oct 27 2023 Michel Lind <salimma@fedoraproject.org> - 0.29.10-1
- Update to 0.29.10

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.28.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Mar 26 2023 Fabio Valentini <decathorpe@gmail.com> - 0.28.4-1
- Update to version 0.28.4; Fixes RHBZ#2179453

* Thu Mar 16 2023 Fabio Valentini <decathorpe@gmail.com> - 0.28.2-1
- Update to version 0.28.2; Fixes RHBZ#2173415

* Wed Feb 22 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.28.0-2
- Fix test gating

* Wed Feb 22 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.28.0-1
- Update to 0.28.0

* Sun Feb 19 2023 Fabio Valentini <decathorpe@gmail.com> - 0.27.7-3
- Future-proof packaging for rust2rpm v24

* Sun Jan 22 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.27.7-2
- Properly exclude failing tests

* Sun Jan 22 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.27.7-1
- Update to 0.27.7

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.24.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Dec 15 2022 Fabio Valentini <decathorpe@gmail.com> - 0.24.7-2
- Skip one more test that fails in koji

* Thu Dec 15 2022 Fabio Valentini <decathorpe@gmail.com> - 0.24.7-1
- Update to version 0.24.7

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 21 2022 Fabio Valentini <decathorpe@gmail.com> - 0.23.13-1
- Update to version 0.23.13

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Aug 01 2021 Fabio Valentini <decathorpe@gmail.com> - 0.19.2-1
- Update to version 0.19.2; Fixes RHBZ#1977381

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.2-2
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jun 24 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.18.2-1
- Update to version 0.18.2.
- Fixes RHBZ#1922628

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jan 13 2021 Fabio Valentini <decathorpe@gmail.com> - 0.15.9-1
- Update to version 0.15.9.
- Fixes RHBZ#1915951

* Tue Jan 12 2021 Fabio Valentini <decathorpe@gmail.com> - 0.15.8-1
- Update to version 0.15.8.
- Fixes RHBZ#1915036

* Sun Jan 10 2021 Fabio Valentini <decathorpe@gmail.com> - 0.15.7-1
- Update to version 0.15.7.
- Fixes RHBZ#1914578

* Sat Jan 09 2021 Fabio Valentini <decathorpe@gmail.com> - 0.15.6-1
- Update to version 0.15.6.
- Fixes RHBZ#1913228

* Mon Jan 04 2021 Fabio Valentini <decathorpe@gmail.com> - 0.15.4-1
- Update to version 0.15.4.
- Fixes RHBZ#1911919

* Sun Dec 27 11:19:13 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.15.3-1
- Update to 0.15.3 (Fixes: RHBZ#1855975)

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.11-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 10 2020 Josh Stone <jistone@redhat.com> - 0.14.11-1
- Update to 0.14.11

* Sat Jun 06 2020 Josh Stone <jistone@redhat.com> - 0.14.5-1
- Update to 0.14.5

* Tue May 26 2020 Josh Stone <jistone@redhat.com> - 0.14.3-1
- Update to 0.14.3

* Thu May 14 2020 Josh Stone <jistone@redhat.com> - 0.14.2-1
- Update to 0.14.2

* Tue May 05 2020 Josh Stone <jistone@redhat.com> - 0.14.1-1
- Update to 0.14.1

* Wed Apr 15 08:46:05 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.13.2-1
- Update to 0.13.2

* Tue Mar 24 06:45:06 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.12.0-1
- Update to 0.12.0

* Thu Mar 12 2020 Josh Stone <jistone@redhat.com> - 0.11.7-1
- Update to 0.11.7

* Tue Mar 10 2020 Josh Stone <jistone@redhat.com> - 0.11.6-1
- Update to 0.11.6

* Fri Mar 06 2020 Josh Stone <jistone@redhat.com> - 0.11.5-1
- Update to 0.11.5

* Thu Mar 05 2020 Josh Stone <jistone@redhat.com> - 0.11.4-1
- Update to 0.11.4

* Wed Feb 26 11:59:27 EET 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.11.3-1
- Update to 0.11.3

* Thu Feb 13 05:17:21 EET 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.11.2-1
- Update to 0.11.2

* Mon Feb 10 22:04:53 EET 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.11.1-1
- Update to 0.11.1

* Sat Feb 08 23:58:50 EET 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.11.0-1
- Update to 0.11.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jan 17 19:57:32 EET 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.5-1
- Update to 0.10.5

* Mon Jan 06 08:24:39 EET 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.4-1
- Update to 0.10.4

* Sat Dec 21 01:11:12 EET 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.3-1
- Update to 0.10.3

* Fri Dec 13 18:40:36 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.2-2
- Enable tests

* Thu Dec 12 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.2-1
- Update to 0.10.2

* Mon Nov 25 07:57:54 EET 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.6-1
- Initial package

## END: Generated by rpmautospec
